Delete all Expected Racks

View as Markdown

Delete all Expected Racks for a Site.

Org must have an Infrastructure Provider entity. User must have FORGE_PROVIDER_ADMIN role.

Infrastructure Provider must own the Expected Racks.

Alternatively, Tenant Admins with TargetedInstanceCreation capability can also delete Expected Racks if they have an account with the Site’s Infrastructure Provider.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired

Query parameters

siteIdstringRequiredformat: "uuid"
ID of the Site whose Expected Racks should be deleted

Errors

400
Bad Request Error
403
Forbidden Error